View Issue Details

IDProjectCategoryView StatusLast Update
0000637OpenFOAM[All Projects] Bugpublic2012-08-30 11:19
Reporteruser503Assigned Tohenry 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinux 2.6.32-279.2.1.el6.x86_64OSRed Hat Enterprise LinuxOS Version6.3
Product Version 
Fixed in Version 
Summary0000637: basicChemistryModel incompatible with dynamicRefineFvMesh
DescriptionThe basicChemistryModel class contains the scalarField deltaTChem_ which is not updated by the mesh.update() call. This causes a fatal error when trying to use the chemistry models with a dynamic mesh.

I am able to get a workaround by making the basicChemistryModel::deltaTChem() non-const method public, using a dummy volScalarField to do the mapping, and copying its internal field back and forth into deltaTChem after each mesh update. However, I think that changing deltaTChem to a volScalarField (or some other field type that gets mapped by default?) which is in the object registry would be the most straightforward approach to making these modules compatible.
Steps To ReproduceAdd dynamic meshing to the reactingFoam solver and run a case that causes an increase in the number of elements in the mesh.
TagsNo tags attached.

Relationships

has duplicate 0000459 resolvedhenry Topochanges causes seg fault in ODEChemistryModel 

Activities

henry

2012-08-30 11:19

manager   ~0001647

Resolved by commit b8bf0e8d02b022fab30068b760fdf44c8f847e96

Issue History

Date Modified Username Field Change
2012-08-29 20:42 user503 New Issue
2012-08-30 11:19 henry Note Added: 0001647
2012-08-30 11:19 henry Status new => resolved
2012-08-30 11:19 henry Resolution open => fixed
2012-08-30 11:19 henry Assigned To => henry
2012-09-04 11:36 henry Relationship added has duplicate 0000459